Package org.eclipse.rdf4j.query.algebra.evaluation.impl

## Class ConstantOptimizer.ConstantVisitor

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<RuntimeException>
  - - org.eclipse.rdf4j.query.algebra.evaluation.impl.ConstantOptimizer.VarNameCollector
    - - org.eclipse.rdf4j.query.algebra.evaluation.impl.ConstantOptimizer.ConstantVisitor

- All Implemented Interfaces:
    `QueryModelVisitor<RuntimeException>`
  Enclosing class:
    ConstantOptimizer

      protected class ConstantOptimizer.ConstantVisitor
      extends ConstantOptimizer.VarNameCollector

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ConstantVisitor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `meet​(And and)` |
    `void` | `meet​(Bound bound)` |
    `void` | `meet​(FunctionCall functionCall)` |
    `void` | `meet​(If node)` |
    `void` | `meet​(Or or)` |
    `void` | `meet​(ProjectionElemList projElems)` |
    `void` | `meet​(Regex node)` | Override meetBinaryValueOperator
    `protected void` | `meetBinaryValueOperator​(BinaryValueOperator binaryValueOp)` | Method called by all meet methods with a `BinaryValueOperator` node as argument.
    `protected void` | `meetUnaryValueOperator​(UnaryValueOperator unaryValueOp)` | Method called by all meet methods with a `UnaryValueOperator` node as argument.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.ConstantOptimizer.VarNameCollector

      `meet`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetOther, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantVisitor

          protected ConstantVisitor()

  - ### Method Detail

    - #### meet

          public void meet​(ProjectionElemList projElems)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meet

          public void meet​(Or or)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meet

          public void meet​(And and)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meetBinaryValueOperator

          protected void meetBinaryValueOperator​(BinaryValueOperator binaryValueOp)

      Description copied from class: `AbstractQueryModelVisitor`
      Method called by all meet methods with a `BinaryValueOperator` node as argument. Forwards the call to `AbstractQueryModelVisitor.meetNode(org.eclipse.rdf4j.query.algebra.QueryModelNode)` by default.
      Overrides:
        `meetBinaryValueOperator` in class `AbstractQueryModelVisitor<RuntimeException>`
      Parameters:
        `binaryValueOp` - The node that is being visited.

    - #### meetUnaryValueOperator

          protected void meetUnaryValueOperator​(UnaryValueOperator unaryValueOp)

      Description copied from class: `AbstractQueryModelVisitor`
      Method called by all meet methods with a `UnaryValueOperator` node as argument. Forwards the call to `AbstractQueryModelVisitor.meetNode(org.eclipse.rdf4j.query.algebra.QueryModelNode)` by default.
      Overrides:
        `meetUnaryValueOperator` in class `AbstractQueryModelVisitor<RuntimeException>`
      Parameters:
        `unaryValueOp` - The node that is being visited.

    - #### meet

          public void meet​(FunctionCall functionCall)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meet

          public void meet​(Bound bound)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meet

          public void meet​(If node)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meet

          public void meet​(Regex node)

      Override meetBinaryValueOperator
      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`